Name:           nim
Version:        2.0.4
Release:        4%{?dist}
Summary:        The nim compiler

License:        MIT
URL:            https://nim-lang.org
Source0:        https://nim-lang.org/download/%{name}-%{version}.tar.xz
#Source1:	https://nim-lang.org/download/nim-2.0.4.tar.xz.sha256

BuildRequires:  gcc git
Requires:       gcc

%description
The compiler for the nim programming language

Nim is a statically typed compiled systems programming language. It combines successful concepts from mature languages like Python, Ada and Modula. Its design focuses on efficiency, expressiveness, and elegance (in that order of priority).

%package tools
Requires: nim
Requires: git
Summary: Common nim language tools (nimble, nimsuggest, nimgrep)

%description tools
Common tools for the nim programming language.
nimble - package manager
nimsuggest - nim autocompletion

%global debug_package %{nil}

%prep
%setup -q

%build
%make_build
./bin/nim c -d:release koch
./koch boot -d:release
./koch tools
mkdir nim_tempdir
./install.sh nim_tempdir

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_exec_prefix}/lib/nim
cp -ar nim_tempdir/nim/lib $RPM_BUILD_ROOT/%{_exec_prefix}/lib/nim
mkdir -p $RPM_BUILD_ROOT/%{_exec_prefix}/lib/nim/tools
cp -ar tools/debug/nim-gdb.py $RPM_BUILD_ROOT/%{_exec_prefix}/lib/nim/tools
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/nim
cp -ar nim_tempdir/nim/config/* $RPM_BUILD_ROOT/%{_sysconfdir}/nim
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
cp -ar nim_tempdir/nim/bin/* $RPM_BUILD_ROOT/%{_bindir}
cp ./bin/nimble $RPM_BUILD_ROOT/%{_bindir}
cp ./bin/nimsuggest $RPM_BUILD_ROOT/%{_bindir}
cp ./bin/nimgrep $RPM_BUILD_ROOT/%{_bindir}

%files
%dir /etc/nim
/etc/nim/config.nims
/etc/nim/nim.cfg
/etc/nim/nimdoc.cfg
/etc/nim/nimdoc.tex.cfg
/etc/nim/rename.rules.cfg
/usr/bin/nim
/usr/lib/nim

%files tools
/usr/bin/nimble
/usr/bin/nimsuggest
/usr/bin/nimgrep

%changelog
* Fri May 24 2024 Jonas Hucklenbroich <jonas@hucklenbroich.org> 2.0.4-4
- Add dependency on git for nim-tools package because of nimble
  (jonas@hucklenbroich.org)

* Fri May 17 2024 Jonas Hucklenbroich <jonas@hucklenbroich.org> 2.0.4-3
- Moved nim tools into subpackage and changed config to fetch sources
* Fri May 17 2024 Jonas Hucklenbroich <jonas@hucklenbroich.org> 2.0.4-2
- Added git as build dependency

* Fri May 17 2024 Jonas Hucklenbroich <jonas@hucklenbroich.org> 2.0.4-1
- First tag with tito

* Fri May 17 2024 Jonas Hucklenbroich <jonas@hucklenbroich.org>
- Initial packaging of nim
